<?php
/**
 * customizer for theme options
 * theme =wport
 */

function wport_customize_register( $wp_customize ) {

// custom link colors
    $wp_customize->add_setting( 'wport_link_color', array( 
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#5a5a5a',
	'capability'        => 'edit_theme_options',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wport_link_color', array(
	'label'        => __( 'Links Color', 'wport' ),
        'section'  => 'colors',
        'settings' => 'wport_link_color',
    ) ) );

// custom site title colors
    $wp_customize->add_setting( 'wport_title_color', array( 
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#faf9ee',
	'capability'        => 'edit_theme_options',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wport_title_color', array(
	'label'        => __( 'Title and Description Color', 'wport' ),
        'section'  => 'colors',
        'settings' => 'wport_title_color',
    ) ) );

// header background color
    $wp_customize->add_setting( 'wport_header_back', array( 
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#118833',
	'capability'        => 'edit_theme_options',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wport_header_back', array(
        'label'    => __( 'Header Background', 'wport' ),
        'section'  => 'colors',
        'settings' => 'wport_header_back',
    ) ) );

// sidespacer background color
    $wp_customize->add_setting( 'wport_spacer_back', array( 
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_hex_color',
        'default'           => '#50c85a',
        'capability'        => 'edit_theme_options',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wport_spacer_back', array(
        'label'    => __( 'Side Spacer Background', 'wport' ),
        'section'  => 'colors',
        'settings' => 'wport_spacer_back',
    ) ) );

}
add_action( 'customize_register', 'wport_customize_register' );
	
// now put the options to work in wport theme
function wport_customize_css() {

    if ( get_theme_mods() ) 
    { 
    $background_color = get_background_color();
    echo '<style id="wport-customizer" type="text/css">';
    if ( get_theme_mod('wport_link_color') ) 
    : 
    $wport_link_color = get_theme_mod( 'wport_link_color', '#5a5a5a');
    echo 'a{color:'. esc_attr($wport_link_color) . '}';
    endif;
    if ( get_theme_mod('wport_title_color') ) 
    : 
    $wport_title_color = get_theme_mod('wport_title_color', '#faf9ee');
    echo '.site-title a, .site-description{color: '. esc_attr( $wport_title_color ) .'!important;}';
    endif;
    if ( get_theme_mod( 'wport_header_back' ) ) 
    : 
    $wport_header_back = get_theme_mod('wport_header_back', '#118833');
    echo '.head, input.search-submit, .more-link, #navigation a, .top-link{ 
        background:'. esc_attr( $wport_header_back ) .'!important;}
    input.search-submit{color: '. esc_attr( $wport_header_back ) .'!important;}
    .sidespacer:before{border-right-color: '. esc_attr( $wport_header_back ) .'!important;}';
    endif;
    if ( get_theme_mod('wport_spacer_back') ) 
    : 
    $wport_spacer_back = get_theme_mod('wport_spacer_back', '#50c85a');
    echo '.sidespacer{background-color: '. esc_attr( $wport_spacer_back ) .'!important;}
    .sidespacer:before{border-bottom-color: '. esc_attr( $wport_spacer_back ) . '!important;}
    .sidespacer:after{border-right-color: '. esc_attr( $wport_spacer_back) .'!important;}';	
    endif;
    echo '.sidespacer:after{border-bottom-color:#'. esc_attr($background_color) .';}</style>';
    
    }
}
add_action( 'wp_head', 'wport_customize_css');